#### Previous topic

scipy.special.sph_kn

#### Next topic

scipy.special.riccati_jn

# scipy.special.sph_inkn

`scipy.special.``sph_inkn`(n, z)

  Compute spherical Bessel functions in(z), kn(z), and derivatives.

  This function computes the value and first derivative of in(z) and kn(z) for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of in and kn to compute

  z : complex

  > Argument at which to evaluate

  Returns:

  in : ndarray

  > Value of i0(z), ..., in(z)

  inp : ndarray

  > First derivative i0’(z), ..., in’(z)

  kn : ndarray

  > Value of k0(z), ..., kn(z)

  knp : ndarray

  > First derivative k0’(z), ..., kn’(z)

  References

  [R353] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 8. http://jin.ece.illinois.edu/specfunc.html